Subject: bug#58135: 29.0.50; Typing getting garbled in mail-mode

From: Robert Marshall <[email-masked]>
Date: Tue, 1 Nov 2022 15:44:50 +0000

Po Lu writes:
 > Robert Marshall <[email-masked]> writes:
 > 
 > > I'm regularly seeing what I type getting garbled when I'm typing a
 > > message in mail-mode. I'm not sure that it's mail mode that is
 > > responsible but that's where I'm doing most typing these days. At first
 > > I thought it was age and lack of coordination but I think that's
 > > unlikely.
 > >
 > > Typically I'm seeing characters not appearing and then the buffered
 > > text appears all at once in a randomised 'wodge'. I've just this morning typed
 > > Matt and ttaM appeared on the screen, I don't think I'd have pressed
 > > the shift key in such a wildly incorrect place.  Another example - "to
 > > discuss?" came out as "tsis?d oucs" (without the quotes)
 > >
 > > Typically none of *this* message came out garbled but it's a more or less daily
 > > event.
 > 
 > Is Emacs otherwise responsive to non-keyboard input during the wedge
 > preceeding the ``wodge''?  One way to find out is to see if a relief
 > appears on tool bar buttons if you move your mouse over them during that
 > period.
 > 

I don't tend to see the scrambling until it's done (: too focussed on
the keyboard! What seems to be the case is that the problem happens
during an auto save - so emacs won't be responsive, when it comes out
of that pause, the letters buffered up appear but not in the correct order. I
have a fairly large INBOX (in vm) that I sometimes don't save for a
bit so auto saving can take a few seconds.

I've just seen it happen in a .tex buffer so it happens in more than
just mail-mode.

Robert